AI Sync

AI Call History

List Call History Columns

GEThttps://app.rizzdial.com/api/ai/call-history/columns
List Call History Columns
curl --request GET \
  --url https://app.rizzdial.com/api/ai/call-history/columns \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "fixed_columns": [
      {
        "key": "id",
        "label": "ID"
      },
      {
        "key": "action",
        "label": "Action"
      }
    ],
    "hideable_columns": [
      {
        "key": "time",
        "label": "Time"
      },
      {
        "key": "agent_name",
        "label": "Agent Name"
      }
    ]
  },
  "success": true
}

List Call History Columns#

Column keys for columns= on List Call History and Export Call History. id and action are always included.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

curl --request GET \
  --url https://app.rizzdial.com/api/ai/call-history/columns \
  --header 'Authorization: Bearer {{bearer_token}}'
data.fixed_columnsarray

id and action

data.hideable_columnsarray

Optional columns (key, label)

data.usageobject

Example columns query strings for list and export